Subject: iSCSI: error checking

From: "Eddy Quicksall" <[email-masked]>
Date: Thu, 13 Dec 2001 06:42:13 -0500

Does SCSI require error checking for protocol errors?

The reason I'm asking is because I don't think the initiator should be
checking to see if the target is in full compliance with the spec. (and visa
versa). If the initiator/target does not need to deal with an item (such as
the I bit on responses), then it should not have to check for its existence.
I think the initiator/target should only have to check for correctness based
on their implementation (e.g., where incorrectness would lead to
ambiguities, trashing of data, causing a system crash, etc).

If SCSI does not require this type of checking, can we make a statement in
the spec?

[email-masked]